summaryrefslogtreecommitdiff
path: root/commit.d/10vcs-test
diff options
context:
space:
mode:
authorJoey Hess <joey@kodama.kitenet.net>2008-01-15 14:21:46 -0500
committerJoey Hess <joey@kodama.kitenet.net>2008-01-15 14:21:46 -0500
commitc8f16796c6c72251814626ccf911d8f025cc60f3 (patch)
tree17c99c0cc0570d2167ceb3cf888d60df304a757a /commit.d/10vcs-test
parent45fa1c5a4d911503b545df62c4e276807063dc4e (diff)
* Convert the directory parameter of etckeeper into "-d directory".
* Pass other patameters on from etckeeper to the .d scripts. * Stop using run-parts for various reasons. * Split out a commit.d that contains committing code that's used by both the pre-install.d and post-install.d scripts. * Split out an unclean.d that tests if the WC contains uncommitted changes. * Add preinst code to remove old post-install.d scripts.
Diffstat (limited to 'commit.d/10vcs-test')
-rwxr-xr-xcommit.d/10vcs-test13
1 files changed, 13 insertions, 0 deletions
diff --git a/commit.d/10vcs-test b/commit.d/10vcs-test
new file mode 100755
index 0000000..ddd4448
--- /dev/null
+++ b/commit.d/10vcs-test
@@ -0,0 +1,13 @@
+#!/bin/sh
+set -e
+
+not_enabled_warning() {
+ echo "etckeeper warning: etckeeper is not yet enabled for $(pwd)" >&2
+ echo "etckeeper warning: run etckeeper init to enable it" >&2
+}
+
+if [ "$VCS" = git ] && [ ! -d .git ]; then
+ not_enabled_warning
+elif [ "$VCS" = hg ] && [ ! -d .hg ]; then
+ not_enabled_warning
+fi